Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 336462 (CVE-2010-3263) - <dev-db/phpmyadmin-3.3.7: XSS Vulnerability in Setup Script (CVE-2010-3263)
Summary: <dev-db/phpmyadmin-3.3.7: XSS Vulnerability in Setup Script (CVE-2010-3263)
Status: RESOLVED FIXED
Alias: CVE-2010-3263
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo Security
URL: http://www.phpmyadmin.net/home_page/s...
Whiteboard: B4 [glsa]
Keywords:
Depends on:
Blocks: CVE-2010-3056
  Show dependency tree
 
Reported: 2010-09-08 17:03 UTC by Tim Sammut (RETIRED)
Modified: 2012-01-04 23:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Sammut (RETIRED) gentoo-dev 2010-09-08 17:03:34 UTC
From $url:

<--

Summary

XSS attack on setup script.

Description

It was possible to conduct a XSS attack using spoofed request to setup script.

Severity

We consider this vulnerability to be non critical.

Affected Versions

For 3.x: versions before 3.3.7 are affected.

Unaffected Versions

Branch 2.11.x is not affected by this. 

<--

$url references CVE-2010-2958, but that has already been assigned in PMASA-2010-6, http://www.phpmyadmin.net/home_page/security/PMASA-2010-6.php.
Comment 1 Tim Sammut (RETIRED) gentoo-dev 2010-09-08 17:55:19 UTC
security@gentoo.org, 

=dev-db/phpmyadmin-3.3.6 is in the process of stabilization via bug 335490. Should we combine these bugs, or update the stabilization request?

Thanks.
Comment 2 Tim Sammut (RETIRED) gentoo-dev 2010-09-08 18:24:33 UTC
This has been assigned CVE-2010-3263.
Comment 3 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-09-09 14:21:09 UTC
Arches, please test and mark stable:
=dev-db/phpmyadmin-3.3.7
Target keywords : "alpha amd64 hppa ppc ppc64 sparc x86"
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2010-09-10 10:30:49 UTC
x86 stable
Comment 5 Markos Chandras (RETIRED) gentoo-dev 2010-09-10 10:47:48 UTC
amd64 done
Comment 6 Joe Jezak (RETIRED) gentoo-dev 2010-09-12 13:17:58 UTC
Marked ppc/ppc64 stable.
Comment 7 Raúl Porcel (RETIRED) gentoo-dev 2010-09-12 15:30:59 UTC
alpha/sparc stable
Comment 8 Jeroen Roovers gentoo-dev 2010-09-14 20:59:27 UTC
Stable for HPPA.
Comment 9 Stefan Behte (RETIRED) gentoo-dev Security 2010-09-22 22:40:33 UTC
XSS in webapp -> closing noglsa. Feel free to reopen if you think otherwise.
Comment 10 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-09-25 16:33:32 UTC
bug 302745 is B1. This bug will be included in the advisory.
Comment 11 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-10-22 17:30:14 UTC
Affected ebuilds were removed from the tree.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2012-01-04 23:41:53 UTC
This issue was resolved and addressed in
 GLSA 201201-01 at http://security.gentoo.org/glsa/glsa-201201-01.xml
by GLSA coordinator Tim Sammut (underling).